Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002022 [Piwigo] plugins major always 2010.11.09 18:14 2011.04.17 00:14
Reporter eric View Status public  
Assigned To mistic100
Priority normal Resolution fixed Platform Apache
Status closed   OS Linux
Projection none   OS Version PWG 2.x
ETA none Fixed in Version 2.2.1 Product Version 2.1.5
  Target Version 2.2.1 Product Build
Summary 0002022: admins should not be able to uninstall plugins
Description When users are logged as "administrator" status they can not install plugins. So why can they desactivate / uninstall them ? This could be harmfull if more than 1 admin accounts are set and used together.

Admins don't have to be able to desactivate / uninstall plugins.
Steps To Reproduce
Additional Information Related FR topic : http://fr.piwigo.org/forum/viewtopic.php?id=18946 [^]
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships

-  Notes
(0004928)
svn (reporter)
2011.04.02 16:07

[Subversion] r9994 by mistic100 on trunk

-----[Subversion commit log]----------------------------------------------------
bug:2022 admins can uninstall plugins
(0004929)
mistic100 (developer)
2011.04.02 16:08

solved in rev9994

- Issue History
Date Modified Username Field Change
2010.11.09 18:14 eric New Issue
2010.11.09 18:14 eric browser => any
2010.11.09 18:14 eric Web server => Apache 1.3.x
2011.04.02 15:56 mistic100 Status new => assigned
2011.04.02 15:56 mistic100 Assigned To => mistic100
2011.04.02 16:07 svn Checkin
2011.04.02 16:07 svn Note Added: 0004928
2011.04.02 16:08 mistic100 Note Added: 0004929
2011.04.02 16:08 mistic100 Status assigned => resolved
2011.04.02 16:08 mistic100 Fixed in Version => 2.3
2011.04.02 16:08 mistic100 Resolution open => fixed
2011.04.16 19:54 plg Status resolved => closed
2011.04.16 19:54 plg Fixed in Version 2.3 => 2.2.1
2011.04.16 19:54 plg Target Version => 2.2.1
2011.04.17 00:14 plg Summary Admins don't have to be able to desactivate / uninstall plugins => admins should not be able to uninstall plugins


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker